S3QL_VERIFY(1)

NAME
s3ql_verify - Verify data in an S3QL file system

SYNOPSIS

s3ql_verify [options] <storage url>

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The s3ql_verify command verifies all data in the file system. In contrast to fsck.s3ql, s3ql_verify does not trust the object listing returned by the backend, but actually attempts to retrieve every object. It therefore takes a lot longer.

The format of <storage url> depends on the backend that is used. The S3QL User's Guide should be consulted for a description of the available backends.

OPTIONS

The s3ql_verify command accepts the following options.

--debug-modules <modules>
    Activate debugging output from specified modules (use commas to separate multiple modules). Debug messages will be written to the target specified by the --log option.

--debug
    Activate debugging output from all S3QL modules. Debug messages will be written to the target specified by the --log option.

--quiet
    be really quiet

--version
    just print program version and exit

--cachedir <path>
    Store cached data in this directory (default: ~/.s3ql)

--authfile <path>
    Read authentication credentials from this file (default: ~/.s3ql/authinfo2)

--backend-options <options>
    Backend specific options (separate by commas). See backend documentation for available options.

--missing-file <name>
    File to store keys of missing objects.

--corrupted-file <name>
    File to store keys of corrupted objects.

--data
    Read every object completely, instead of checking just the metadata.

--parallel PARALLEL
    Number of connections to use in parallel.

--start-with <n>
    Skip over first <n> objects and with verifying object <n>+1.

EXIT CODES

s3ql_verify may terminate with the following exit codes:

0   Everything went well.

1   An unexpected error occured. This may indicate a bug in the program.

2   Invalid command line argument.

3   Invalid backend option.

10  Could not open log file for writing.

11  No such backend.

12  Authentication file has insecure permissions.

13  Unable to parse proxy settings.

14  Invalid credentials (Authentication failed).

15  No permission to access backend (Authorization denied).

16  Invalid storage URL, specified location does not exist in backend.

17  Wrong file system passphrase.

18  No S3QL file system found at given storage URL.

19  Unable to connect to backend, can't resolve hostname.

32  Unsupported file system revision (too old).

33  Unsupported file system revision (too new).

45  Unable to access cache directory.

46  The file system data was verified, and some objects were found to be missing or corrupted.

SEE ALSO

The S3QL homepage is at https://bitbucket.org/nikratio/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>